APT-LISTCHANGES(1)

NOM
apt-listchanges - Affiche les nouvelles entrées du journal des modifications des paquets de l'archive Debian

SYNOPSIS

apt-listchanges [[options...]] {[--apt] | [paquet.deb...]}

DESCRIPTION

apt-listchanges est un outil qui affiche ce qui a changé dans la nouvelle version d'un paquet Debian par rapport à la version actuellement installée sur le système.

Il réalise cela en extrayant les entrées appropriées des fichiers NEWS.Debian et changelog[.Debian], qui se trouvent habituellement dans le répertoire /usr/share/doc/paquet, de l'archive d'un paquet Debian.

Veuillez noter que dans l'installation par défaut si apt-listchanges est exécuté en tant que greffon d'APT durant les mises à niveau, il affiche seulement les entrées de NEWS.Debian. Ce comportement peut être modifié avec l'option --which.

Si les entrées du journal des modifications sont affichées et que le paquet ne fournit pas de fichier changelog[.Debian], apt-listchanges appelle la commande apt-get changelog pour télécharger le journal des modifications à partir du réseau. Ce comportement peut être désactivé avec l'option --no-network.

Avec des noms de fichiers en argument (ils peuvent être lus depuis apt si l'option --apt est utilisée), apt-listchanges examine les fichiers (supposés être des archives de paquets Debian) à la recherche des entrées appropriées des journaux de modifications et en affiche un résumé groupé par paquet source. Les groupes sont triés par ordre d'urgence des modifications et ensuite par nom de paquet. Les modifications sont affichées dans chaque groupe dans l'ordre de leur apparition dans les fichiers de journal des modifications, c'est-à-dire de la plus récente à la plus ancienne ; l'option --reverse peut être utilisée pour changer cet ordre.

OPTIONS

apt-listchanges fournit les options suivantes pour contrôler son comportement. Pour la plupart d'entre elles, il existe des entrées équivalentes dans le fichier de configuration, voir ci-dessous le « FICHIER DE CONFIGURATION » pour plus de détails.

--apt
    Lit les noms de fichiers depuis un tube au format spécial (fourni par apt), plutôt que depuis la ligne de commande, et respecte certaines options spécifiques à apt dans le fichier de configuration. Ce tube doit être au format « version 2 », spécifié dans le fichier de configuration d'apt.

-v, --verbose
    Affiche des informations additionnelles (généralement non désirées). Par exemple, cela affiche un message lorsqu'un paquet d'une version identique ou inférieure est sur le point d'être installé, ou lorsqu'un paquet est sur le point d'être installé pour la première fois.

-f, --frontend
    Sélectionne l'interface à utiliser pour afficher l'information à l'utilisateur. Les interfaces disponibles actuellement sont :

    pager
        Utilise la commande sensible-pager(1) pour afficher la sortie. La variable d'environnement PAGER est utilisée pour choisir votre pageur favori. L'option « pager » peut être spécifiée dans le fichier de configuration pour sélectionner un pageur spécifique à utiliser avec apt-listchanges.

    browser
        Affiche le journal des modifications formaté en HTML dans un navigateur web avec des hyperliens vers les pages de bogues et pour les adresses électroniques avec la commande sensible-browser(1) qui examine la variable d'environnement BROWSER pour choisir votre navigateur favori. L'option « browser » peut être spécifiée dans le fichier de configuration pour sélectionner un navigateur spécifique à utiliser avec apt-listchanges.

    xterm-pager
        Utilise votre pageur favori pour l'affichage, mais le fait dans un xterm en arrière-plan (en utilisant l'alternative pointée par x-terminal-emulator). Cela vous permet de poursuivre la mise à jour tout en continuant à consulter le journal des modifications. Vous pouvez spécifier l'émulateur de terminal à utiliser avec l'option « xterm » du fichier de configuration.

    xterm-browser
        La conjonction des options xterm-pager et browser. Cela convient uniquement aux navigateurs en mode texte.

    text
        Affiche, sans pause, le résultat sur la sortie standard.

    syslog
        Décharge la sortie vers syslog. La désactivation de l'option titled est recommandée.

    log
        Ajoute la sortie vers un fichier journal, avec un processus de filtre optionnel. La désactivation de l'option titled est recommandée.

    mail
        Envoie un courriel à l'adresse donnée grâce à --email-address sans afficher les journaux de modifications.

    gtk
        Ouvre une fenêtre gtk pour afficher les modifications. Il est nécessaire que python3-gi soit installé.

    none
        Ne fait rien. Cela peut être utilisé pour éviter qu'apt-listchanges ne se lance alors qu'il est configuré pour se lancer automatiquement depuis apt.

    Veuillez noter que apt-listchanges essaiera de basculer vers un utilisateur non privilégié avant de générer des commandes dans les interfaces « browser », « xterm-browser » et « xterm-pager ». Néanmoins, cela ne s'applique pas actuellement à l'interface « pager ». Voir aussi les « VARIABLES D'ENVIRONNEMENT » ci-dessous.

--hide
    Pour les interfaces qui le prennent charge (actuellement seulement gtk), cache la fenêtre par défaut.

--email-address=adresse
    Affichage du journal des modifications et envoi d'une copie à l'adresse spécifiée. Pour ne recevoir les journaux de modifications que par courriel, utiliser cette option avec la pseudo-interface « mail ».

--email-format={text|html}
    Si l'envoi de copies de courriel est autorisée (voir --email-address ci-dessus), cette option choisit si le courriel doit être envoyé comme de bonnes vieilles données en texte simple (ce qui est le comportement par défaut) ou comme des données HTML avec des liens cliquables, ce qui pourrait être plus pratique pour des gens qui utilisent un client de courrier graphique.

-c, --confirm
    Une fois que les journaux de modifications ont été affichés, demande à l'utilisateur s'il veut continuer ou interrompre l'installation. Si l'utilisateur choisit d'interrompre, une valeur de sortie non nulle est renvoyée et apt abandonne.

-a, --show-all
    Au lieu d'afficher uniquement les entrées des journaux plus récentes que la version du paquet en cours d'installation, affiche la totalité du journal des modifications du paquet. C'est utile pour voir la totalité du journal contenu dans un paquet .deb avant d'extraire ce dernier.

-c, --no-network
    Dans les rares cas où un paquet binaire ne contient pas de fichier de journal des modifications (ou, pour être plus précis, aucun des paquets construits à partir du même paquet source qui sont traités ensemble comme un groupe), apt-listchanges, par défaut, exécute apt-get changelog pour télécharger les journaux de modifications des serveurs réseau habituellement fournis par la distribution de votre système d'exploitation. Cette option désactivera ce comportement, ce qui peut être utile, par exemple pour des machines derrière un pare-feu.

--save-seen=fichier
    Cette option demande à apt-listchanges de garder une trace de la dernière version d'un paquet pour laquelle le journal a été affiché afin d'éviter de réafficher le même journal la fois suivante. La base de données est conservée dans le fichier donné en argument. Spécifiez « none » pour désactiver cette fonctionnalité.

--dump-seen
    Affiche le contenu de la base de données des déjà-vus sur la sortie standard comme une liste de lignes constituées du nom du paquet source et de sa dernière version vue, séparés par un espace. Cette option requiert que le chemin de la base de données des déjà-vus soit connu : veuillez soit l'indiquer avec l'option --save-seen ou passez l'option --profile=apt pour qu'il soit lu à partir du fichier de configuration.

--since=version
    Cette option fera que apt-listchanges montrera les entrées postérieures à la version indiquée. Avec cette option, le seul argument supplémentaire que vous pouvez passer est le nom d'un fichier .deb.

--latest=N
    Cette option fera que apt-listchanges montrera les dernières N entrées.

--which={news|changelogs|both}
    Cette option permet de choisir entre l'affichage des messages de nouveautés (récupérés dans NEWS.Debian et d'autres), des journaux de modifications (récupérés dans changelog.Debian et d'autres) ou des deux. Par défaut, ne sont affichés que les messages de nouveautés lors d'une exécution comme greffon d'APT, ou sinon les deux.

--help
    Affiche une aide courte.

-h, --headers
    Ces options permettent de faire insérer, par apt-listchanges, un en-tête avant le journal de chaque paquet indiquant son nom, et le nom des paquets binaires qui sont en train d'être mis à niveau (s'il y en a plus d'un ou s'il diffère du nom du paquet source).

--debug
    Affiche des informations de débogage.

--profile=nom
    Sélectionne un profil d'options. nom correspond à une section dans le fichier /etc/apt/listchanges.conf. Les valeurs par défaut sont « apt » lors d'un appel depuis apt et « cmdline » sinon.

--log=fichier
    Sélectionne le fichier ajouté par l'interface de journalisation. Par défaut c'est /var/log/apt/listchanges.log. L'option de commande de filtre peut être utilisée pour modifier la sortie avant qu'elle soit ajoutée au fichier journal. Veuillez vous assurer de régler la rotation de journal pour ce fichier.

--filter=commande
    Selectionne la commande utilisée pourr filtrer la sortie avant qu'elle soit ajoutée au fichier de journalisation par l'interface de journalisation. L'entrée standard recevra la sortie de apt-listchanges et la sortie standard sera ajoutée au fichier journal. Séparer les arguments par des espaces et mettre les arguments contenant des espaces entre guillemets. La commande ne sera pas exécutée avec le shell à moins que le shell ne soit inclus dans la commande sh -c 'date ; cat'.

--reverse
    Montre les entrées du journal des modifications en ordre inverse.

--ignore-apt-assume, --ignore-debian-frontend
    Désactive l'obligation d'utiliser une interface non interactive dans certains des cas décrits dans la section « AUTOMATIC FRONTEND OVERRIDE » ci-dessous.

--titled, --untitled
    Active ou désactive le titre au début de la sortie

--select-frontend
    Choisit l'interface de façon interactive. Cette option est essentiellement destinée à des tests, veuillez ne pas l'utiliser.

AUTOMATIC FRONTEND OVERRIDE

Pour une meilleure intégration aux outils de gestion de paquets existants, apt-listchanges essaye de détecter si les mises à niveau de paquets se font de manière non interactive, et bascule automatiquement son interface à « text » si l'une des conditions suivantes est satisfaite :

    • la sortie standard n'est pas connectée à un terminal ;

    • l'option --quiet (-q) est passée à apt-get(8) (ou aptitude(8)) ; notez néanmoins que si l'option est utilisée plus d'une fois, apt-listchanges bascule l'interface à « mail » ;

    • l'option --assume-yes (-y) est passée à apt-get(8) ;

    • la variable d'environnement DEBIAN_FRONTEND est définie à « noninteractive » et APT_LISTCHANGES_FRONTEND n'est pas définie.

Pour des raisons de rétrocompatibilité, les deux dernières vérifications peuvent être désactivées par l'entrée « ignore_apt_assume=true » ou par l'entrée « ignore_debian_frontend=true » du fichier de configuration (voir « FICHIER DE CONFIGURATION » plus bas), ou en utilisant les options en ligne de commande : --ignore-apt-assume ou --ignore-debian-frontend.

Veuillez noter aussi que l'interface « mail » est déjà non interactive, aussi, elle ne bascule jamais vers l'interface « text ».

En complément, apt-listchanges surcharge les interfaces basées sur X11(« gtk », « xterm-pager », « xterm-browser ») avec « pager » (ou « browser » dans le cas de « xterm-browser ») lorsque la variable d'environnement DISPLAY n'est pas définie.

Veuillez noter que ces interfaces silencieuses ne sont pas sujetttes aux forçages: syslog, log.

FICHIER DE CONFIGURATION

apt-listchanges reads its configuration from /etc/apt/listchanges.conf. The file consists of sections with names enclosed in square brackets. Each section should contain lines in the key=value format. Lines starting with the "#" sign are treated as comments and ignored. Files named name.conf in the /etc/apt/listchanges.conf.d directory are also read in the same way and override values set in the main configuration file.

Section est un nom de profil qui peut être utilisé comme paramètre de l'option --profile.

La configuration de la section « apt » peut être gérée par debconf(7), et la plupart des réglages peuvent ici être modifiés à l'aide de la commande dpkg-reconfigure apt-listchanges.

Clé est le nom d'une option en ligne de commande (sauf pour --apt, --profile et --help) sans le tiret initial et les autres tirets remplacés par des tirets bas, par exemple : « email_format » ou « save_seen ».

Valeur représente la valeur de l'option correspondante. Pour les options en ligne de commande qui ne prennent pas d'argument, comme « confirm » ou « headers », la valeur peut être définie à « 1 », « yes », « true » ou « on » pour activer l'option , ou à « 0 », « no », « false » ou « off » pour la désactiver.

En plus, clé peut être un des mots-clés suivants : « browser », « pager » ou « xterm ». La valeur de ces entrées de configuration peut être le nom d'une commande appropriée, éventuellement suivie par ses arguments, par exemple : « pager=less -R ».

Exemple 1. Exemple de fichier de configuration

    [cmdline]
    frontend=pager
    [apt]
    frontend=xterm-pager
    email_address=root
    confirm=1
    [custom]
    frontend=browser
    browser=mozilla

Le fichier de configuration précédent indique que dans le mode ligne de commande, l'interface par défaut doit être « pager ». Dans le mode apt, l'interface sera par défaut xterm-pager, une copie des journaux (s'il y en a) devra être envoyée au superutilisateur (« root ») et apt-listchanges demandera une confirmation. Si apt-listchanges est appelé avec --profile=custom, l'interface browser sera utilisée et lancera mozilla.

ENVIRONNEMENT

APT_LISTCHANGES_FRONTEND
    Interface à utiliser.

APT_LISTCHANGES_USER, SUDO_USER, USERNAME
    La première valeur rencontrée des variables ci-dessus sera utilisée comme nom de l'utilisateur vers lequel basculer lors de l'exécution de commandes générées par les interfaces « browser », « pager » ou « xterm » si c'est un utilisateur privilégié qui a lancé apt-listchanges.

DEBIAN_FRONTEND
    Si le réglage est « noninteractive », l'option peut forcer apt-listchanges à utiliser une interface non interactive, voir la section « AUTOMATIC FRONTEND OVERRIDE » pour plus de détails.

BROWSER
    Utilisé par l'interface browser, elle devrait contenir une commande qui attend l'URL d'un fichier HTML à afficher.

PAGER
    Utilisé par l'interface pager.

APT_HOOK_INFO_FD
    Descripteur de fichier pour lire les noms de paquet dans le mode --apt (apt est censé définir cette variable à un numéro de descripteur de fichier correct).

INITIALISATION DE LA BASE DE DONNÉES DES DÉJÀ-VUS

Lorsque apt-listchanges est installé pour la première fois ou mis à jour à partir d'une version qui n'utilisait pas le format actuel de la base de données des déjà-vus, il active un temporisateur de systemd, apt-listchanges.timer, qui tente d'activer toutes les heures apt-listchanges.servicequi parcourt le journal des modifications et les fichiers NEWS de tous les paquets installés et utilise leur contenu pour remplir la base de données des déjà-vus.

En renseignant ainsi par avance la base de données, l'exécution de apt-listchanges est plus rapide parce qu'il n'a pas besoin d'analyser le journal des modifications et les fichiers NEWS des paquets actuellement installés durant les mises à niveau pour déterminer les entrées à afficher.

Le pré-remplissage de la base de données ne doit être effectué qu'une seule fois sur un hôte donné, dans la mesure où, à partir de ce moment, apt-listchanges met à jour automatiquement la base de données pendant les mises à niveau. Par conséquent, une fois le service exécuté complètement avec succès, le temporisateur est désactivé.

Si vous pensez que pour une raison quelconque la base de données des déjà-vus est incomplète ou erronée, vous pouvez la reconstruire en supprimant le fichier /var/lib/apt/listchanges, puis en exécutant la commande systemctl start apt-listchanges.service. Notez que la commande s'exécute en tâche de fond.

FICHIERS

/etc/apt/listchanges.conf
    Fichier de configuration.

/etc/apt/listchanges.conf.d/*.conf
    Fichiers de forçage du fichier de configuration.

/etc/apt/apt.conf.d/20listchanges
    Fichier utilisé pour inscrire apt-listchanges dans le système apt.

/var/lib/apt/listchanges
    Base de données des déjà-vus.

AUTEUR

apt-listchanges a été écrit par Matt Zimmerman <mdz@debian.org>

Le responsable actuel est Jonathan Kamens <jik@kamens.us>

VOIR AUSSI

sensible-pager(1), sensible-browser(1), apt-get(8), aptitude(8)

TRADUCTEUR

Traduction d'Olivier Trichet <olivier.trichet@centrale-lille.net>, août 2004. Mis à jour en 2017 par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr> et l'équipe de traduction francophone de debian <debian-l10n-french@lists.debian.org>